#-*-coding:utf-8-*-
###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# config.py
#
# Configuration de l'outil de synchronisation posh
#
###########################################################################
"""
    Configuration de l'outil de synchronisation posh
"""
from os.path import join, dirname, normpath
from creole.parsedico import parse_dico

HERE = dirname(__file__)
APP_PATH = normpath(HERE)

LOGLEVEL = 0
LOGFILE = "/var/log/posh/ldap_sync.log"
POSH_CONFIG_FILEPATH = "/var/www/html/posh/includes/config.inc.php"
dico = parse_dico()
ip_locale = dico.get('adresse_ip_eth0', '192.168.230.83')
posh_uri = dico.get('posh_path', 'posh')
protocol = 'http://'
POSH_URL = protocol + join(ip_locale, posh_uri)
POSH_API_URL = join(POSH_URL, 'api')
ACTION_DICT = dict(add_group="scr_group_add.php",
                   del_group="scr_group_delete.php",
                   mod_group="scr_group_modify.php",
                   get_groupid="xml_getgroup_infos.php",
                   add_user="scr_user_modify_add.php",
                   get_userid="xml_getuser_infos.php",
                   mod_user="scr_user_modify_add.php",
                   del_user_by_name="scr_username_suppress.php",
                   delete_user_criteria="scr_user_criteriadelete.php",
                   del_user="scr_user_suppress.php",
                   get_userinfo='xml_getuser_infos.php',
                   add_page="scr_pages_modify_add.php",
                   get_pages_info="xml_getpages_infos.php",
                   del_page="scr_pages_suppress.php",
                   add_usergroup='scr_groupbook_add.php',
                   usergroup_exist='xmlgroupbook_exists.php',
                   )

# Path vers les cookies
COOKIE_FILENAME = "cookie.lwp"
COOKIE_PATH = join(APP_PATH, "cookies")
COOKIE = join(COOKIE_PATH, COOKIE_FILENAME)
