#-*-coding:utf-8-*-
from os.path import join, dirname, normpath
from posh.config.loader import ConfigurationObject
try:
    from creole import parsedico
    dico = parsedico.parse_dico()
except:
    dico = {'adress_ip_eth0':'127.0.0.1',
            'posh_xmlrpc_posh':'7080',
            'posh_xmlrpc_ip':'127.0.0.1',
            'cas_domainname':'127.0.0.1',
            'cas_port':8443,
            'posh_profile_service_name':'xmlrpc-posh/server',
            'profile_db_pwd':'posh'
            }

HERE = dirname(__file__)
LOCAL_DIR = normpath(join(HERE, '..'))
# Path vers les scripts du module posh
SCRIPT_PATH = '/usr/share/xmlrpc-posh'

# Permissions :
# Configuration en mode fichier
# Fichier de permission: lie les onglets à des profiles
perm_filename = join(LOCAL_DIR, 'perm', 'data', 'perm.ini')
# Fichier de profile : lie des users à des profiles via leurs attributs
profile_filename = join(LOCAL_DIR, 'perm', 'data', 'profiler.ini')

# Path vers le serveur de profile et l'interface d'admin
LOCATION = "/usr/share/xmlrpc-posh/"

# IP_LOCALE:
LOCAL_IP = dico.get('adresse_ip_eth0', '127.0.0.1')
# XMLRPC:
# Port et adresse du serveur xmlrpc utilisé pour la configuration utilisateur
XMLRPC_PORT=int(dico.get('posh_xmlrpc_port', '7080'))
XMLRPC_IP_SERVER=dico.get('posh_xmlrpc_ip', 'localhost')

# Port de l'interface d'administration
ADMIN_PORT = int('7070')
AUTHFILE_PATH = "/usr/share/xmlrpc-posh/interface/interface/auth/"
# Timeout de la session de l'interface en 12 min si pas d'action
SESSION_TIMEOUT = 12 * 60

# Script de récupération des infos de la BDD Posh pour le client xmlrpc
INFO_FILE = join(SCRIPT_PATH, 'utils', "dbinfo.php")

profile_db_pwd = ConfigurationObject.get_sql_pass()
profile_db_config = dict(host='localhost',
                         user='posh',
                         passwd=profile_db_pwd,
                         db='poshprofile',
                         use_unicode=False,
                         charset='utf8')

posh_db_config = dict(host='localhost',
                      user='posh',
                      passwd=profile_db_pwd,
                      db='posh',
                      use_unicode=False,
                      charset='utf8')

# Adresse du serveur sso:
ip_sso = dico.get('cas_domainname',
                  dico.get('posh_url',
                           dico.get('adresse_ip_sso', '1.1.1.1')))
port_sso = dico.get('cas_port', dico.get('port_sso', 443))
AUTH_FORM_URL = "https://%s:%s/" % (ip_sso, port_sso)
AUTH_SERVER = "https://%s:%s/xmlrpc" % (ip_sso, port_sso)

# Logs DU client xmlrpc et des outils qu'ils utilisent :
LOG_CLIENT = "/var/log/posh/client.log"
# Nom du gestionnaire de profil pour son auth auprès du serveur SSO
# (devrait être id par ip pour différencier les différents gestionnaires, à voir)
SERVICE_AUTH_NAME = dico.get('posh_profile_service_name',
                             'xmlrpc-posh/server')
