#-*-coding:utf-8-*-
"""
    Loader de configuration
"""
from pyeole.dict4ini import DictIni

CONF_FILENAME = "/etc/envole/config.ini"

class PyPoshConfig:
    """
        Chargeur de configuration pour python-posh
    """
    def __init__(self, conf_f=CONF_FILENAME):
        self.conf = DictIni(conf_f)

    def get_sql_pass(self):
        """
            Charge la configuration
            [mysql]
            dbpass="...."
        """
        return self.conf.get('mysql', {'dbpass':'posh'})['dbpass']

    def get_log_conf(self):
        """
            Charge la configuration des logs
            [log]
            level=INFO
        """
        def_log_conf = {'level':'INFO'}
        return self.conf.get("log", def_log_conf)

ConfigurationObject = PyPoshConfig()
