#-*-coding:utf-8-*-
"""
    Client xmlrpc gérant les encodages de données
"""
import xmlrpclib
from zephir.lib_zephir import u, convert

class _M:
    # some magic to bind an XML-RPC method to an RPC server.
    # supports "nested" methods (e.g. examples.getStateName)
    def __init__(self, send, name):
        self.__send = send
        self.__name = name

    def __getattr__(self, name):
        return _M(self.__send, "%s.%s" % (self.__name, name))

    def __call__(self, *args):
        # un peu crade, ça mériterait de gérer les tuples dans u
        # ici, les éléments d'un tuple ne seront pas encodé
        args = tuple(u(list(args)))
        return convert(self.__send(self.__name, args))
xmlrpclib._Method = _M
